Skip to main content
GET
/
api
/
board
/
{boardId}
/
cycle
Lists all cycles for a specific board.
curl --request GET \
  --url https://{tenant}.ekso.app/api/board/{boardId}/cycle \
  --header 'Authorization: Bearer <token>'
[
  {
    "entity": "<string>",
    "name": "<string>",
    "description": "<string>",
    "boardId": "<string>",
    "order": 123,
    "parent": "<string>",
    "startDate": "2023-11-07T05:31:56Z",
    "finishDate": "2023-11-07T05:31:56Z",
    "budgetHours": 123,
    "locked": true,
    "closed": true,
    "tenantId": "<string>",
    "id": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "updated": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "deleted": true
  }
]

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

boardId
string
required

The board ID to filter cycles by.

Query Parameters

active
boolean
default:false

When true, returns only open (non-closed) cycles. Defaults to all cycles.

Response

List of cycles for the board.

entity
null | string
name
string
description
string
boardId
string
order
parent
string
startDate
null | string<date-time>
finishDate
null | string<date-time>
budgetHours
locked
boolean
closed
boolean
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean